Skip to navigation

Delete a user

View as Markdown
Deactivates a specific user identified by the user ID.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

idstringRequired
The ID of the user to delete.

Headers

Idempotency-KeystringRequired
Unique key used to ensure idempotent behavior.
Accept-EncodingstringOptional

Indicates the response’s preferred content encoding. Supported values are gzip and identity.

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

Response

OK
idstringOptional
The unique identifier for the user resource.
userNamestringOptional
The unique username of the user.
displayNamestringOptional
The display name of the user, used for user interfaces and profile views.
activebooleanOptional

Indicates whether the user account is active (true) or inactive (false).

emailslist of objectsOptional
metaobjectOptional

Errors

401
Unauthorized Error
403
Forbidden Error